.row {
    display: flex;
    flex-direction: row;
    min-width: 0px;
    min-height: 0px;
}

.column {
    display: flex;
    flex-direction: column;
    min-width: 0px;
    min-height: 0px;
}

.grow {
    flex-grow: 1;
    min-height: 0px;
    min-width: 0px;
}

.start {
    justify-content: flex-start;
}
.center {
    justify-content: center;
}
.end {
    justify-content: flex-end;
}
.between {
    justify-content: space-between;
}
.around {
    justify-content: space-around;
}

.cross-start {
    align-content: flex-start;
}
.cross-center {
    align-content: center;
}
.cross-end {
    align-content: flex-end;
}
.cross-between {
    align-content: space-between;
}
.cross-around {
    align-content: space-around;
}

.item-start {
    align-items: flex-start
}
.item-center {
    align-items: center
}
.item-end {
    align-items: flex-end
}
.item-baseline {
    align-items: baseline
}

/* 对其位置 */
.aligin-start {
    align-items: flex-start;
    
}
.aligin-center {
    align-items: center;
    
}
.aligin-end {
    align-items: flex-end;
    
}


/* 间距 */
.row.gap5>*{
    margin-right: 5px;
}
.row.gap5>*:last-child{
    margin-right: 0px;
}
.column.gap5>*{
    margin-bottom: 5px;
}
.column.gap5>*:last-child{
    margin-bottom: 0px;
}

.row.gap10>*{
    margin-right: 10px;
}
.row.gap10>*:last-child{
    margin-right: 0px;
}
.column.gap10>*{
    margin-bottom: 10px;
}
.column.gap10>*:last-child{
    margin-bottom: 0px;
}
.column.gap10>*:last-child{
    margin-bottom: 0px;
}

.row.gap15>*{
    margin-right: 15px;
}
.row.gap15>*:last-child{
    margin-right: 0px;
}
.column.gap15>*{
    margin-bottom: 15px;
}
.column.gap15>*:last-child{
    margin-bottom: 0px;
}
.column.gap15>*:last-child{
    margin-bottom: 0px;
}

.row.gap20>*{
    margin-right: 20px;
}
.row.gap20>*:last-child{
    margin-right: 0px;
}
.column.gap20>*{
    margin-bottom: 20px;
}
.column.gap20>*:last-child{
    margin-bottom: 0px;
}

.row.gap30>*{
    margin-right: 30px;
}
.row.gap30>*:last-child{
    margin-right: 0px;
}
.column.gap30>*{
    margin-bottom: 30px;
}
.column.gap30>*:last-child{
    margin-bottom: 0px;
}



.full {
    width: 100% ;
    height: 100% ;
}
.nopointer {
    pointer-events: none;
}
.pointer {
    pointer-events: auto;
}